Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 614399 - ntpdate missing from install.img
ntpdate missing from install.img
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Martin Gracik
Release Test Team
:
Depends On:
Blocks: 647893
  Show dependency treegraph
 
Reported: 2010-07-14 08:23 EDT by Marko Myllynen
Modified: 2013-07-04 08:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-13.21.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:31:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0530 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2011-05-18 13:44:52 EDT

  None (edit)
Description Marko Myllynen 2010-07-14 08:23:43 EDT
Description of problem:
When doing automated kickstart installations to tens or hundreds of systems (and those installations could be done by people with very limited knowledge but a kickstart based boot.iso allows them to make basic installation) setting up system clock is a must when, e.g., using SSSD/Krb5 for authentication.

Ideally one could run ntpdate in %pre so that package installation dates, filesystem last mount time, etc would be sane (compared to doing ntpdate in %post which might cause clock being adjusted by several hours compared to installation phase time setting). Doing the clock adjustment via BIOS before installation is time consuming and error prone (think of UTC vs non-UTC setting) and thus a costly operation.

Please include ntpdate in install.img.

Version-Release number of selected component (if applicable):
RHEL 6.0 Beta 2
Comment 1 Johan Broman 2010-07-14 08:30:17 EDT
Hi!

ntpdate would be good to have in install.img. Correct time is also required in order to get SSL connection working, if for example communicating with a RHN Satellite server.

Regards
Johan
Comment 3 RHEL Product and Program Management 2010-07-15 10:58:23 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Martin Gracik 2010-11-25 03:59:49 EST
Added to version anaconda-13.21.84-1
Comment 6 Alexander Todorov 2011-02-16 06:34:02 EST
ntpdate is present in anaconda-13.21.97-1.el6.x86_64
Comment 7 errata-xmlrpc 2011-05-19 08:31:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html

Note You need to log in before you can comment on or make changes to this bug.